Skip to main content
GET
List Interviews

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Headers

X-UI-Organization-ID
string | null

Choose an organization you belong to for scoped reads, writes, and billing. Users can belong to multiple organizations. Platform administrators may select any organization in this app.

Maximum string length: 128

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100
study_id
string | null

Filter by study

status
string | null

Filter by interview status

quality
string[] | null

Filter by quality (Excellent, Good, Fair, Poor)

participant_id
string | null

Filter by participant ID

Response

Successful Response

interviews
PublicInterviewSummary · object[]
required
total_count
integer
required
page
integer | null
page_size
integer | null